{ pkgs, lib, config, ... }:

{
  environment.systemPackages = with pkgs; [
    pinentry
    pinentry-qt
    lightly-boehs
    caffeine-ng
    hunspell
    hunspellDicts.en_US-large
    transmission_4
    openssh
    openssl
    cyrus-sasl-xoauth2
    kdePackages.ark
    harper
    mumble
    # pantalaimon
    ifuse
    dash
    luanti
    kdePackages.breeze
    kdePackages.dolphin
    # kdePackages.kio-fuse
    # kdePackages.kio-extras
    # kdePackages.qtsvg
    # kdePackages.qtwayland
    kdePackages.ffmpegthumbs
    kdePackages.kdegraphics-thumbnailers
    kdePackages.kdesdk-thumbnailers
    xfce.thunar
    xfce.tumbler
    xfce.thunar-media-tags-plugin
    xfce.thunar-archive-plugin
    xfce.xfconf
    zathura
    # kdePackages.okular
    just
    # guix
    # freecad
    # picard
    brightnessctl
    mpc-cli
    dunst
    dvdbackup
    bottom
    ungoogled-chromium
    qutebrowser
    brave
    ttyper
    audacity
    kdePackages.kwallet-pam
    nm-tray
    # nyxt
    sbcl
    openjdk
    qmk
    aria2
    sassc
    # pantalaimon
    kdePackages.kwallet
    libimobiledevice
    imv
    feh
    tagutil
    # python310Packages.mutagen
    python310Packages.audiotools
    (mpv.override {
      scripts = with pkgs.mpvScripts; [ mpris quality-menu sponsorblock thumbfast videoclip modernx ];
    })
    ani-cli
    # mov-cli
    nerd-fonts.victor-mono
    kdePackages.plasma-browser-integration
    alacritty
    libnotify
    rofi-wayland
    wf-recorder
    waybar
    tridactyl-native
    # eww
    scc
    tokei
    nixd
    nixfmt
    nil
    wlrctl
    wl-clipboard
    hyprpaper
    hyprlock
    hypridle
    aha
    glxinfo
    vulkan-tools
    vivaldi
    vivaldi-ffmpeg-codecs
    wayland-utils
    nextcloud-client
    swww
    grim
    slurp
    plocate
    papirus-icon-theme
    phinger-cursors
    kdePackages.kde-cli-tools
    gzip
    qrrs
    virt-manager
    virt-viewer
    # kdialog
    inkscape
    libreoffice-fresh
    vlc
    haskellPackages.greenclip
    pulsemixer
    any-nix-shell
    wtype
    xdotool
    wmctrl
    xcape
    xclip
    lapce
    zed-editor
    # maim
    unclutter-xfixes
    bluez-tools
    networkmanager_dmenu
    plasma5Packages.qt5ct
    kdePackages.xdg-desktop-portal-kde
    lxappearance
    # spotdl
    # rustdesk
    kdePackages.kdenlive
    # davinci-resolve
    mediainfo
    libmediainfo
    pqiv
    discord
    # digikam
    rubberband
    texlive.combined.scheme-full
    wlroots
    pamixer
    playerctl
    jellyfin-mpv-shim
    # pfetch
    macchina
    gimp
    # powertop
    power-profiles-daemon
    scrcpy
    python3
    nix-index
    sqlite
    fennel
    kdePackages.plasma-sdk
    # ardour
    qpwgraph
    # zam-plugins
    # tap-plugins
    # lsp-plugins
    # ladspaPlugins
    # calf
    # carla
    esphome
    esptool
    wireguard-tools
    # cosmic-ext-examine
  ];
}
